Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.cxf.support
Class ProxyServiceFactoryBean

    java.lang.Object
      org.apache.cxf.service.factory.AbstractServiceFactoryBean
          org.apache.cxf.service.factory.ReflectionServiceFactoryBean
              org.mule.module.cxf.support.ProxyServiceFactoryBean

    public class ProxyServiceFactoryBean

extends org.apache.cxf.service.factory.ReflectionServiceFactoryBean

Field Summary

Fields inherited from class org.apache.cxf.service.factory.ReflectionServiceFactoryBean
`ELEMENT_NAME, ENDPOINT_CLASS, EXTRA_CLASS, FORCE_TYPES, GENERIC_TYPE, HEADER, HOLDER, METHOD, METHOD_ANNOTATIONS, METHOD_PARAM_ANNOTATIONS, MODE_INOUT, MODE_OUT, PARAM_ANNOTATION, parameterizedTypes, RAW_CLASS, schemaLocationMapping, serviceClass, serviceType, WRAPPERGEN_NEEDED, wsdlURL`

Fields inherited from class org.apache.cxf.service.factory.AbstractServiceFactoryBean
`dataBindingSet, schemaLocations`

Constructor Summary
`ProxyServiceFactoryBean()`

Method Summary
`protected void` | `initializeWSDLOperations()`
`protected void` | `initializeWSDLOperationsForProvider()`

Methods inherited from class org.apache.cxf.service.factory.ReflectionServiceFactoryBean
`addFault, bindOperation, buildServiceFromClass, buildServiceFromWSDL, checkForElement, checkServiceClassAnnotations, create, createBareMessage, createDefaultDataBinding, createEndpoint, createEndpoints, createFaultForException, createInputWrappedMessageParts, createInterface, createInvoker, createMessageParts, createOperation, createOutputMessageName, createOutputWrappedMessageParts, createServiceInfo, createWrappedSchema, getAction, getAnonymousWrapperTypes, getBeanClass, getConfigurations, getEndpointInfo, getEndpointName, getEndpointName, getExecutor, getExtraClass, getFaultName, getFeatures, getHolderType, getIgnoredClasses, getIgnoredMethods, getInParameterName, getInPartName, getInputMessageName, getInterfaceInfo, getInterfaceName, getInvoker, getMethodDispatcher, getOperationName, getOutParameterName, getOutPartName, getProperties, getQualifyWrapperSchema, getRequestWrapper, getRequestWrapperClassName, getResponseWrapper, getResponseWrapperClassName, getServiceClass, getServiceConfigurations, getServiceName, getServiceNamespace, getServiceQName, getServiceQName, getStyle, getWrapped, getWrapperPartMaxOccurs, getWrapperPartMinOccurs, getWsdlURL, hasOutMessage, hasWrappedMethods, initializeClassInfo, initializeDefaultInterceptors, initializeFaultInterceptors, initializeFaults, initializeParameter, initializeServiceConfigurations, initializeServiceModel, initializeWrappedSchema, initializeWSDLOperation, isAnonymousWrapperTypes, isAsync, isFromWsdl, isHeader, isHolder, isInParam, isMatchOperation, isOutParam, isPopulateFromClass, isQualifyWrapperSchema, isRPC, isValidMethod, isWrapped, isWrapped, isWrapperPartNillable, isWrapperPartQualified, processTypes, reset, setAnonymousWrapperTypes, setConfigurations, setEndpointName, setExecutor, setFeatures, setIgnoredClasses, setIgnoredMethods, setInvoker, setMethodDispatcher, setPopulateFromClass, setProperties, setQualifyWrapperSchema, setSchemaLocations, setServiceClass, setServiceConfigurations, setServiceName, setServiceProperties, setServiceType, setValidate, setWrapped, setWsdlURL, setWsdlURL, updateBindingOperation, validateServiceModel`

Methods inherited from class org.apache.cxf.service.factory.AbstractServiceFactoryBean
`getBus, getDataBinding, getDataBinding, getService, getSessionState, initializeDataBindings, sendEvent, setBus, setDataBinding, setService`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProxyServiceFactoryBean

    public ProxyServiceFactoryBean()

Method Detail

### initializeWSDLOperations

    protected void initializeWSDLOperations()

  Overrides:
    `initializeWSDLOperations` in class `org.apache.cxf.service.factory.ReflectionServiceFactoryBean`

### initializeWSDLOperationsForProvider

    protected void initializeWSDLOperationsForProvider()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.